<div
  class='d-none map-layer-base'
  data-id={{@value.id}}
  {{did-update this.setup @map @value @value.layers}}
  {{did-insert this.setup}}
>
  {{@value.id}}
  {{@value._id}}
  {{yield}}

  {{#if this.vectorTileStyle}}
    <Map::Layer::BaseVectorTiles
      @map={{@map}}
      @style={{this.vectorTileStyle}}
    />
  {{/if}}

  {{#if this.mapBoxLayer}}
    <Map::Layer::BaseMapboxTiles
      @map={{@map}}
      @layer={{this.mapBoxLayer}}
      @onSetupError={{@onSetupError}}
    />
  {{/if}}
</div>